import React, { useState } from 'react';
import Button from './components/Button/button';
import Alert from './components/Alert/alert';
import Menu from './components/Menu/menu';
import MenuItem from './components/Menu/menuItem';
import SubMenu from './components/Menu/subMenu';
import Tabs from './components/Tabs/tabs';
import TabsItem from './components/Tabs/tabsItem';
import Icon from './components/Icon/icon';
import Transition from './components/Transition/transition';
import Input from './components/Input/input';
var App = function () {
    var _a = useState(false), show = _a[0], setShow = _a[1];
    return (React.createElement("div", { className: "App" },
        React.createElement("header", { className: "App-header" },
            React.createElement(Input, { icon: "search", placeholder: "placeholder", style: { width: "200px" } }),
            React.createElement(Input, { append: "\u641C\u7D22", defaultValue: "\u526A\u5200", style: { width: "200px" } }),
            React.createElement(Input, { prepend: "\u6807\u9898", style: { width: "200px" } }),
            React.createElement(Input, { disabled: true, style: { width: "200px" } }),
            React.createElement(Input, { size: "sm", style: { width: "200px" } }),
            React.createElement(Input, { size: "lg", style: { width: "200px" } }),
            React.createElement("hr", null),
            React.createElement(Icon, { icon: "coffee", theme: "primary", size: "10x" }),
            React.createElement("hr", null),
            React.createElement(Button, { className: "aaa", onClick: function () { setShow(!show); } }, "\u6309\u94AE1"),
            React.createElement(Button, { btnType: "primary", size: "lg" }, "\u6309\u94AE2"),
            React.createElement(Button, { disabled: true, btnType: "link", href: "http://www.baidu.com" }, "\u94FE\u63A5"),
            React.createElement(Button, { btnType: "link", href: "http://www.baidu.com", target: "_blank" }, "\u94FE\u63A5"),
            React.createElement(Button, { btnType: "danger", size: "sm" }, "\u6309\u94AE3"),
            React.createElement(Transition, { in: show, timeout: 300, animation: "zoom-in-left" },
                React.createElement("div", null,
                    React.createElement("h1", null, "asd"),
                    React.createElement("h2", null, "dzfsdfdsf"),
                    React.createElement("h3", null,
                        "sdfdsfsdfsdfsd",
                        React.createElement("hr", null),
                        React.createElement("code", null, "lajsfkljasdlkfjdsklf")))),
            React.createElement(Transition, { wrapper: true, in: show, timeout: 300, animation: "zoom-in-left" },
                React.createElement(Button, { btnType: "default", size: "lg" }, "\u6309\u94AE4")),
            React.createElement(Tabs, { defaultIndex: '0' },
                React.createElement(TabsItem, null, "\u9009\u98791"),
                React.createElement(TabsItem, null, "\u9009\u98792"),
                React.createElement(TabsItem, null, "\u9009\u98793")),
            React.createElement(Tabs, { defaultIndex: '0', mode: "round" },
                React.createElement(TabsItem, null, "\u9009\u98791"),
                React.createElement(TabsItem, null, "\u9009\u98792"),
                React.createElement(TabsItem, null, "\u9009\u98793")),
            React.createElement(Menu, { defaultIndex: '0', className: "www", style: { fontSize: "20px", fontWeight: 'bold' }, onSelect: function (index) { console.log(index); } },
                React.createElement(MenuItem, null, "menu1"),
                React.createElement(MenuItem, null, "menu2"),
                React.createElement(SubMenu, { title: 'dropdown' },
                    React.createElement(MenuItem, null, "menu31"),
                    React.createElement(MenuItem, null, "menu32"),
                    React.createElement(MenuItem, null, "menu33")),
                React.createElement(MenuItem, null, "menu4")),
            React.createElement(Menu, { defaultIndex: '0', mode: "vertical", onSelect: function (index) { console.log(index); }, defaultOpenSubMenus: ['2'] },
                React.createElement(MenuItem, null, "menu1"),
                React.createElement(MenuItem, null, "menu2"),
                React.createElement(SubMenu, { title: 'dropdown1' },
                    React.createElement(MenuItem, null, "menu311"),
                    React.createElement(MenuItem, null, "menu321"),
                    React.createElement(MenuItem, null, "menu331"))),
            React.createElement(Alert, { type: "danger", message: "\u5371\u9669" }),
            React.createElement(Alert, { type: "default", message: "\u9ED8\u8BA4", description: "\u5C06\u963F\u68EE\u7EB3\u770B\u89C1\u963F\u68EE\u7EB3\u7684\u5065\u5EB7" }),
            React.createElement(Alert, { type: "success", message: "\u6210\u529F", description: "\u5C06\u963F\u68EE\u7EB3\u770B\u89C1\u963F\u68EE\u7EB3\u7684\u5065\u5EB7", closable: true }),
            React.createElement(Alert, { type: "warning", message: "\u8B66\u544A", description: "\u5C06\u963F\u68EE\u7EB3\u770B\u89C1\u963F\u68EE\u7EB3\u7684\u5065\u5EB7", closable: true }),
            React.createElement(Alert, { type: "primary", message: "\u8B66\u544A", description: "\u5C06\u963F\u68EE\u7EB3\u770B\u89C1\u963F\u68EE\u7EB3\u7684\u5065\u5EB7", closable: true }))));
};
export default App;
