import React, { useState } from 'react';
import classNames from 'classnames';
// 定义alert标签
var Alert = function (props) {
    var _a;
    var closable = props.closable, type = props.type, className = props.className, message = props.message, description = props.description;
    var _b = useState(true), visable = _b[0], setVisable = _b[1];
    var classes = classNames('wsq-alert', className, (_a = {},
        _a["alert-".concat(type)] = type,
        _a));
    var closeAlert = function () {
        setVisable(false);
    };
    return (visable ?
        (React.createElement("div", { className: classes },
            description && description !== '' ? (React.createElement(React.Fragment, null,
                React.createElement("div", { className: "wsq-alert-message" }, message),
                React.createElement("div", { className: "wsq-alert-description" }, description))) : (React.createElement("div", { className: "wsq-alert-message" }, message)),
            closable ? (React.createElement("div", { onClick: closeAlert }, "\u5173\u95ED")) : ''))
        : null);
};
Alert.defaultProps = {
    closable: false,
    type: 'default'
};
export default Alert;
