import React from 'react';
declare type Mode = 'normal' | 'round';
declare type SelectCallback = (selectedIndex: string) => void;
export interface TabsProps {
    className?: string;
    mode?: Mode;
    defaultIndex?: string;
    style?: React.CSSProperties;
    children?: React.ReactNode;
    onSelect?: SelectCallback;
}
interface ITabsContext {
    index?: string;
    onSelect?: SelectCallback;
}
export declare const TabsContext: React.Context<ITabsContext>;
declare const Tabs: React.FC<TabsProps>;
export default Tabs;
