import React from 'react';
export declare type AlertType = 'success' | 'default' | 'danger' | 'warning' | 'primary';
interface BaseAlertProps {
    closable?: boolean;
    type?: AlertType;
    className?: string;
    message?: string;
    description?: string;
}
export declare type AlertProps = BaseAlertProps & React.HTMLAttributes<HTMLElement>;
declare const Alert: React.FC<AlertProps>;
export default Alert;
